package agilpizza.servlet;

import java.io.IOException;
import java.util.Enumeration;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import agilpizza.dao.CategoriaBebidaDAO;
import agilpizza.modelo.Bebida;
import agilpizza.modelo.Pedido;

public class IncluiBebidaServlet extends HttpServlet {
	private static final long serialVersionUID = -2022384804075410287L;

	private Bebida bebida;
	private Pedido pedido;

	protected void doGet(HttpServletRequest req, HttpServletResponse resp)throws ServletException, IOException {
		//bebida = (Bebida) req.getSession().getAttribute("bebida");
		
		Object obj = req.getSession().getAttribute("pedido");
		if(obj == null) {
			pedido = new Pedido();
			req.getSession().setAttribute("pedido", pedido);
		} else {
			pedido = (Pedido) req.getSession().getAttribute("pedido"); 
		}
		carregarBebidasEscolhidas(req, pedido);
		
		//if(bebida != null)
			//pedido.addBebida(bebida);
		
		resp.sendRedirect("pedido.jsp");
	}

	private void carregarBebidasEscolhidas(HttpServletRequest req, Pedido pedido) {
		CategoriaBebidaDAO dao = (CategoriaBebidaDAO) this.getServletContext().getAttribute("bebidasDao");
		if(dao == null) {
			dao = new CategoriaBebidaDAO();	
			this.getServletContext().setAttribute("bebidasDao", dao);
		}
 
		Enumeration e = req.getParameterNames();
		while(e.hasMoreElements()) {
			String idBebida = (String) e.nextElement();
			Bebida bebida = dao.buscarBebida(idBebida);
			bebida.equals("");
			pedido.addBebida(bebida);
		}
	}

	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
	throws ServletException, IOException {
		doGet(req,resp);
	}
}

